require 'karrierwave'
require 'active_record'
require 'database_cleaner'
require 'karrierwave/rspec'

ActiveRecord::Base.establish_connection(adapter: 'sqlite3', database: ':memory:')
ActiveRecord::Base.logger = nil

ActiveRecord::Migration.suppress_messages do
  ActiveRecord::Schema.define do
    create_table :messages do |t|
      t.string :type
      t.string :attachment
    end
  end
end

ActiveSupport::Deprecation.silenced = true

RSpec.configure do |config|
  config.order = 'random'

  config.before(:suite) do
    DatabaseCleaner.strategy = :truncation
    DatabaseCleaner.clean_with :truncation
  end

  config.before do
    DatabaseCleaner.start
  end

  config.after do
    DatabaseCleaner.clean
  end
end
